Current user profile
curl --request GET \
--url https://mcp.echozero.app/api/v1/users/me \
--header 'Authorization: Bearer <token>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://mcp.echozero.app/api/v1/users/me"
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/users/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"username": "<string>",
"email": "<string>",
"status": "ACTIVE",
"emailVerifiedAt": "2023-11-07T05:31:56Z",
"registeredAt": "2023-11-07T05:31:56Z",
"avatarUrl": "<string>",
"interests": [
"CARS_AND_RACING"
],
"guideAgentId": "<string>",
"pinnedAgentIds": [
"<string>"
],
"languageCode": "EN",
"signupMethod": "<string>",
"countryCode": "AF",
"stateCode": "<string>",
"timeZone": "<string>",
"preferences": {},
"wallet": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}User
Current user profile
GET
/
api
/
v1
/
users
/
me
Current user profile
curl --request GET \
--url https://mcp.echozero.app/api/v1/users/me \
--header 'Authorization: Bearer <token>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://mcp.echozero.app/api/v1/users/me"
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/users/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"username": "<string>",
"email": "<string>",
"status": "ACTIVE",
"emailVerifiedAt": "2023-11-07T05:31:56Z",
"registeredAt": "2023-11-07T05:31:56Z",
"avatarUrl": "<string>",
"interests": [
"CARS_AND_RACING"
],
"guideAgentId": "<string>",
"pinnedAgentIds": [
"<string>"
],
"languageCode": "EN",
"signupMethod": "<string>",
"countryCode": "AF",
"stateCode": "<string>",
"timeZone": "<string>",
"preferences": {},
"wallet": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
bearer-jwtapi-key
User JWT access token issued by POST /api/auth/verify or POST /api/auth/social/verify. Routes that accept both auth modes declare api-key and bearer-jwt security schemes.
Headers
Required for API-key authenticated requests. HMAC-SHA256(secretKey, timestamp + METHOD + path + body) as lowercase hex. Omit only for JWT/OAuth session tokens or public routes.
Required with x-signature. Epoch milliseconds; rejected if drift exceeds 5 minutes. Omit only for JWT/OAuth session tokens or public routes.